This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 29766 - Bad: exports incorrectly parsed
Bad: exports incorrectly parsed
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-27 11:33 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-14 14:54:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
There is a problem with NFS mounting also (194 bytes, text/plain)
2001-02-28 10:46 EST, Need Real Name
no flags Details
/etc/exports file along with output from /var/log/messages (462 bytes, text/plain)
2001-03-01 13:43 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-02-27 11:33:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; SunOS 5.7 sun4u)


exported filesystem is set in /etc/exports.....

/mnt/test 

or 

/mnt/test		(rw)

exportfs -a

Filesystem from automount on the remote is mounted, All indications show
mounted RW. They are actually mount RO.

I needed to run

exportfs -o rw @netgroup:/mnt/test

to get the filesystem automounted RW

Reproducible: Always
Steps to Reproduce:
1.set the statement in /etc/exports... /mnt/test	(rw)
2.exportfs -a
3.
	

Actual Results:  login to remote as user whos HOMEDIR is automounted from
RH7.0 localmachine.
His HOMEDIR is mounted, but RO

Expected Results:  I need to RW
Comment 1 Bob Matthews 2001-02-27 13:44:54 EST
It's not clear if this is a problem with nfs or autofs.  

What happens when you mount the partition by hand on the client rather than
using autofs?
Comment 2 Need Real Name 2001-02-28 10:46:41 EST
Created attachment 11340 [details]
There is a problem with NFS mounting also
Comment 3 Bob Matthews 2001-02-28 12:57:35 EST
Can you attach the following files from the RH Linux 7.0 machine?  I'd like to
see your complete setup.  (Please replace any sensitive information with "xxx".)

/etc/exports
/etc/netgroup

In addition, look for any unusual messages in the server logs, and attach them
as well.
Comment 4 Need Real Name 2001-03-01 13:43:02 EST
Created attachment 11464 [details]
/etc/exports file along with output from /var/log/messages
Comment 5 Pete Zaitcev 2004-01-14 14:54:12 EST
I don't think it's the right syntax. Should be:

/m/m100 *(rw)

Note You need to log in before you can comment on or make changes to this bug.